%define oname   paperclip

Name:       ruby-%{oname}
Version:    3.3.1
Release:    %mkrel 3
Summary:    File attachments as attributes for ActiveRecord
License:    MIT
Group:      Development/Ruby
URL:        http://www.thoughtbot.com/projects/paperclip
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
File attachments as attributes for ActiveRecord

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 3.3.1-3.mga3
+ Revision: 396237
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.3.1-2.mga3
+ Revision: 381185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 3.3.1-1.mga3
+ Revision: 313730
- drop old tarball
- new version 3.3.1

* Thu Mar 03 2011 shikamaru <shikamaru> 2.3.8-1.mga1
+ Revision: 63459
- New version 2.3.8
- drop patch

* Sun Feb 13 2011 shikamaru <shikamaru> 2.3.1.1-1.mga1
+ Revision: 51360
- imported package ruby-paperclip

